base-4.18.1.0: Basic libraries

Copyright | (c) The University of Glasgow 2009
License | see libraries/base/LICENSE
Maintainer | libraries@haskell.org
Stability | internal
Portability | non-portable
Safe Haskell | Trustworthy
Language | Haskell2010

GHC.IO.Encoding.UTF8

Description

UTF-8 Codec for the IO library

This is one of several UTF-8 implementations provided by GHC; see Note [GHC's many UTF-8 implementations] in GHC.Encoding.UTF8 for an overview.

Portions Copyright : (c) Tom Harper 2008-2009, (c) Bryan O'Sullivan 2009, (c) Duncan Coutts 2009

Synopsis

- utf8 :: TextEncoding
- mkUTF8 :: CodingFailureMode -> TextEncoding
- utf8_bom :: TextEncoding
- mkUTF8_bom :: CodingFailureMode -> TextEncoding

# Documentation

utf8 :: TextEncoding Source #

mkUTF8 :: CodingFailureMode -> TextEncoding Source #

Since: base-4.4.0.0

utf8_bom :: TextEncoding Source #

mkUTF8_bom :: CodingFailureMode -> TextEncoding Source #